/**********************************************************************************
FUNCTION:  CRC tables
AUTHOR:    Emil Lenchak
DATE:      March, 2004
COPYRIGHT: Texas Instruments, 2004
TOOLS:     IAR Embedded Workbench V3.20A/MS Visual C++ 6.0
***********************************************************************************/

#include "..\inc\crc.h"

// init tables at run-time
TBL_MEM unsigned short crc16Table[CRC_TABLE_SIZE];
TBL_MEM unsigned long crc32Table[CRC_TABLE_SIZE];
TBL_MEM unsigned short crc16rTable[CRC_TABLE_SIZE];
TBL_MEM unsigned long crc32rTable[CRC_TABLE_SIZE];

/* 
// init tables at load-time
TBL_MEM unsigned short crc16Table[CRC_TABLE_SIZE] = {
#include "..\..\dat\crc16Table.txt"
};
TBL_MEM unsigned long crc32Table[CRC_TABLE_SIZE] = {
#include "..\..\dat\crc32Table.txt"
};
TBL_MEM unsigned short crc16rTable[CRC_TABLE_SIZE] = {
#include "..\..\dat\crc16rTable.txt"
};
TBL_MEM unsigned long crc32rTable[CRC_TABLE_SIZE] = {
#include "..\..\dat\crc32rTable.txt"
};
*/

/*********************************** END ****************************************/
